Bug 431735 - segfault if /home is full
segfault if /home is full
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 13:39 EST by Robert Story
Modified: 2008-05-28 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.4.0-1.fc9.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 22:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
claws crash (12.82 KB, text/plain)
2008-02-06 13:39 EST, Robert Story
no flags Details

  None (edit)
Description Robert Story 2008-02-06 13:39:00 EST
Description of problem:
starting claws mail when the home partion is full crashes

Version-Release number of selected component (if applicable):
claws-mail-3.1.0-1.fc8

How reproducible:
always

Steps to Reproduce:
1. file home partition
2. start claws-mail
3.
  
Actual results:
crash

Expected results:
warning dialog (or console message) and clean exit

Additional info:
Comment 1 Robert Story 2008-02-06 13:39:00 EST
Created attachment 294131 [details]
claws crash
Comment 2 Colin Leroy 2008-03-27 16:16:56 EDT
2008-03-27 [colin]      3.3.1cvs44

        * src/common/prefs.c
        * src/common/xmlprops.c
                Fix RedHat bug 431735, 'segfault if /home is full' 
                (when starting): Fix double fclose() in prefs.c
                and potentially xmlprops.c

Can you grab the patch at
http://colino.net/claws-mail/getpatchset.php?ver=3.3.1cvs44 and report back the
result?
Comment 3 Colin Leroy 2008-04-02 15:15:45 EDT
Should be fixed by the fact bug #439382 is fixed :)
Comment 4 Fedora Update System 2008-05-13 07:26:48 EDT
claws-mail-3.4.0-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-05-13 07:27:39 EDT
claws-mail-3.4.0-1.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-05-14 17:33:24 EDT
claws-mail-3.4.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update claws-mail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3879
Comment 7 Fedora Update System 2008-05-28 22:42:47 EDT
claws-mail-plugins-3.4.0-1.fc9.1, claws-mail-3.4.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-05-28 22:46:02 EDT
claws-mail-plugins-3.4.0-1.fc8, claws-mail-3.4.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.